{% extends 'base.html.j2' %}
{% block title %}User reports{% endblock %}
{% block main %}
<h2 class="govuk-heading-l">User reports</h2>
<p class="govuk-body">
    The following URLs have been reported via the Telegram, WhatsApp, and Facebook Messenger channels as
    having failed to produce working snapshot mirrors.
</p>
<p class="govuk-inset-text">
    URLs marked with <strong class="govuk-tag govuk-tag--orange">Blocklist</strong> appear on the
    snapshot mirror blocklist and so cannot have articles created. Users may still attempt to request these URLs, but
    the requests will always fail.
</p>
<table class="govuk-table">
    <thead class="govuk-table__head">
    <tr class="govuk-table__row">
        <th scope="col" class="govuk-table__header">URL</th>
        <th scope="col" class="govuk-table__header">Report count</th>
        <th scope="col" class="govuk-table__header">Most recent report</th>
        <th scope="col" class="govuk-table__header"></th>
    </tr>
    </thead>
    <tbody class="govuk-table__body">
    {% for report in reports %}
    <tr class="govuk-table__row">
        <td class="govuk-table__cell">
            <a href="https://{{ report.origin_domain_name }}{{ report.url_path }}">
                https://{{ report.origin_domain_name }}{{ report.url_path }}
            </a>
            {% if report.blocklist %}
                <strong class="govuk-tag govuk-tag--orange">Blocklist</strong>
            {% endif %}
        </td>
        <td class="govuk-table__cell">{{ report.count }}</td>
        <td class="govuk-table__cell">{{ report.last_reported_at }}</td>
        <td class="govuk-table__cell"><a href="/sqr1?source-url={{
                "https://" + report.origin_domain_name + report.url_path | urlencode }}">Query</a></td>
    </tr>
    {% endfor %}
    </tbody>
</table>
{% endblock %}